!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# Get the file by ID
response = client.files.get(file_id="file_123")
import { VlmRun } from "vlmrun";
const client = new VlmRun({ apiKey: "<VLMRUN_API_KEY>" });
// Get the file by ID
const response = await client.files.get("file_123");
console.log(response);
{
"filename": "<string>",
"bytes": 123,
"purpose": "assistants",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "file",
"public_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Files
Get File by ID
Get a file by ID.
GET
/
v1
/
files
/
{file_id}
!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# Get the file by ID
response = client.files.get(file_id="file_123")
import { VlmRun } from "vlmrun";
const client = new VlmRun({ apiKey: "<VLMRUN_API_KEY>" });
// Get the file by ID
const response = await client.files.get("file_123");
console.log(response);
{
"filename": "<string>",
"bytes": 123,
"purpose": "assistants",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "file",
"public_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# Get the file by ID
response = client.files.get(file_id="file_123")
import { VlmRun } from "vlmrun";
const client = new VlmRun({ apiKey: "<VLMRUN_API_KEY>" });
// Get the file by ID
const response = await client.files.get("file_123");
console.log(response);
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Whether to generate a public URL for the file
Response
Successful Response
Response to the file upload API.
Name of the file
Size of the file in bytes
Purpose of the file
Available options:
assistants, batch, fine-tune, vision, datasets Unique identifier of the file
Date and time when the file was created (in UTC timezone)
Type of the file
Allowed value:
"file"Presigned URL of the file